Uploaded image for project: 'Sqoop'
  1. Sqoop
  2. SQOOP-1693

Upgrade Kite SDK to 0.17

    XMLWordPrintableJSON

    Details

    • Type: Task
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.4.6
    • Component/s: None
    • Labels:
      None

      Description

      Sqoop1 uses Kite SDK 0.16 for the new Parquet support (SQOOP-1366). One feature compression codec (SQOOP-1391) requires Kite SDK 0.17 (CDK-299). Unfortunately, one test case testNormalHiveImportAsParquet will fail due to Kite 0.17 change (CDK-651). The JIRA will fix the compatibility issue that blocks SQOOP-1391.

        Attachments

        1. SQOOP-1693.patch
          1 kB
          Qian Xu

          Issue Links

            Activity

              People

              • Assignee:
                stanleyxu2005 Qian Xu
                Reporter:
                stanleyxu2005 Qian Xu
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: